> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all the sent email events for a sent email



## OpenAPI

````yaml /openapi.json get /sent_emails/{id}/sent_email_events
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /sent_emails/{id}/sent_email_events:
    get:
      tags:
        - Sent emails
      summary: List all the sent email events for a sent email
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the sent email
          required: true
      responses:
        '200':
          description: >-
            A dictionary with a `sent_email_events` property which is an array
            of `SentEmailEvent` objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  sent_email_events:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The ID of the sent email event
                        event_type:
                          type: string
                          enum:
                            - delivered
                            - opened
                            - clicked
                            - soft_bounced
                            - hard_bounced
                            - spam_report
                            - other
                          description: The type of the sent email event
                        created_at:
                          type: string
                          description: >-
                            The time when the sent email event was created in
                            ISO 8601 format
                      required:
                        - id
                        - event_type
                        - created_at
                    description: An array of sent email events
                required:
                  - sent_email_events
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````